Showroom Mobile Banking - Feature #11823

Pre login and Login Process
28 July 2021 05:06 PM - Hoo Dextor

Status: Closed Start date: 29 July 2021

Priority: Normal Due date: 03 August 2021
Assignee: Hoo Dextor % Done: 100%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5
Description

Login Process

History

#1 - 28 July 2021 05:28 PM - Hoo Dextor
- Due date set to 03 August 2021
- Assignee changed from Hoo Dextor to Megat AhmadSalehudin

- Start date changed from 28 July 2021 to 29 July 2021

This task consists of 2 parts:
Part 1 - Prelogin, which includes the opening screen and splash screen.

Part 2 - Login process

Project branch code: https:/smes.silverlakegroup.com.my:4430/svn/mleb/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5

Document: https://drive.google.com/file/d/1iSelzSGuLZnFjwmDZfwzahACT08IJQ6Z/view?usp=sharing

#2 - 28 July 2021 05:28 PM - Hoo Dextor

- Subject changed from Login to Pre login and Login Process

#3 - 02 August 2021 01:39 PM - Megat AhmadSalehudin

Possible pre-login webservices being called:

retrieveCustProfile
retrieveForexRate
acknowledgeReceivedMessage
retrieveAccesslinfo
registrationStep1

#4 - 06 August 2021 10:26 AM - Hoo Dextor

updated reference doc: https:/drive.google.com/file/d/1iSelzZSGuLZnFiwmDZfwzahACT08IJQ6Z/view?usp=sharing
https://smes.silverlakegroup.com.my:4430/svn/mleb/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5
https://drive.google.com/file/d/1iSelzSGuLZnFjwmDZfwzahACT08lJQ6Z/view?usp=sharing
https://drive.google.com/file/d/1iSelzSGuLZnFjwmDZfwzahACT08lJQ6Z/view?usp=sharing

#5 - 10 August 2021 08:49 PM - Megat AhmadSalehudin
- Status changed from Assigned to Resolved
- Assignee changed from Megat AhmadSalehudin to Hoo Dextor

- % Done changed from 0 to 100

r210842 | ahmadsalehudin | 2021-08-10 20:31:04 MYT
Megat - Feature #11823 - Pre login and Login Process

#6 - 18 August 2021 03:00 PM - Hoo Dextor
- Status changed from Resolved to Assigned

- Assignee changed from Hoo Dextor to Megat AhmadSalehudin
ws integration

#7 - 18 August 2021 05:50 PM - David Wong

- File show_room_rest _api_header.xlsx added

- Status changed from Assigned to Resolved

- Assignee changed from Megat AhmadSalehudin to Hoo Dextor

API host URL = http://116.204.203.9:9080/cc_mib_ws

Attached is the REST API header.

REST API documentation
http://116.204.203.9:9080/cc_mib_ws/swagger-ui.html

#8 - 18 August 2021 06:28 PM - Hoo Dextor
- Status changed from Resolved to Assigned

- Assignee changed from Hoo Dextor to Megat AhmadSalehudin
#9 - 23 August 2021 08:37 PM - Megat AhmadSalehudin
- Status changed from Assigned to Resolved

- Assignee changed from Megat AhmadSalehudin to Hoo Dextor

Webservice integrated for Login and Home page.
Note for David: Here is the API sequence on FE application:
retrieveCustProfile -> performLogin

From the Android project, FE only able to see these 2 webservices being called.

#10 - 11 January 2022 06:57 PM - Megat AhmadSalehudin
- Status changed from Resolved to Pending SIT

Released v1.0.0.1 SIT

#11 - 11 March 2022 09:25 AM - Hoo Dextor
- Status changed from Pending SIT to Closed

Files

show_room_rest_api_header.xlsx 9.14 KB 18 August 2021 David Wong
